﻿using FirstGrid.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data;
using System.Web.Mvc;

namespace FirstGrid.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            List<object> dropData = new List<object>();
            dropData.Add(new { text = "Male", value = 1 });
            dropData.Add(new { text = "Female", value = 2 });
            ViewBag.dropData = dropData;

            DataTable dt = new DataTable("Table1");
            DataColumn cl = new DataColumn( "No", typeof(Int32));
            dt.Columns.Add(cl);
            cl = new DataColumn("Name", typeof(string));
            dt.Columns.Add(cl);
            cl = new DataColumn("Email", typeof(string));
            dt.Columns.Add(cl);
            cl = new DataColumn("PersonGender", typeof(Int32));
            dt.Columns.Add(cl);
            cl = new DataColumn("DOB", typeof(DateTime));
            dt.Columns.Add(cl);
            cl = new DataColumn("Active", typeof(Boolean));
            dt.Columns.Add(cl);

            DataRow dr = dt.NewRow();
            dr["No"] = 2;
            dr["Name"] = "Smith";
            dr["Email"] = "Smith@gmail.com";
            dr["PersonGender"] = 2;
            dr["DOB"] = "10/10/2001";
            dr["Active"] = true;
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr["No"] = 1;
            dr["Name"] = "Jones";
            dr["Email"] = "Jones@gmail.com";
            dr["PersonGender"] = 1;
            dr["DOB"] = "1/1/1980";
            dr["Active"] = false;
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr["No"] = 3;
            dr["Name"] = "Samuelson";
            dr["Email"] = "Samuelson@gmail.com";
            dr["PersonGender"] = 2;
            dr["DOB"] = "9/1/1989";
            dr["Active"] = 0;
            dt.Rows.Add(dr);

            ViewBag.dataSource = dt; return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}